Index: /trunk/gsdl/src/recpt/statusaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/statusaction.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/statusaction.cpp	(revision 1285)
@@ -22,119 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.31  2000/07/05 21:49:36  sjboddie
-   Receptionist now caches collection information to avoid making multiple
-   get_collectinfo calls to collection server
-
-   Revision 1.30  2000/07/03 22:26:27  nzdl
-   fixed a few errors in the macro files (and one in some text printed out
-   by the statusaction)
-
-   Revision 1.29  2000/06/29 02:47:21  sjboddie
-   added browser info (i.e VList, HList etc.) to status pages
-
-   Revision 1.28  2000/06/29 00:22:59  sjboddie
-   added new numsections field to collection info and made the statusaction
-   recognize it
-
-   Revision 1.27  2000/05/12 03:09:24  sjboddie
-   minor modifications to get web library compiling under VC++ 6.0
-
-   Revision 1.26  2000/04/19 22:30:23  sjboddie
-   tidied up status pages and end-user collection building
-
-   Revision 1.25  2000/02/29 21:00:31  sjboddie
-   fixed some compiler warnings
-
-   Revision 1.24  1999/12/06 01:13:02  sjboddie
-   macrofiles is now a set to allow for multiple gsdlhomes
-
-   Revision 1.23  1999/11/09 02:26:20  sjboddie
-   added some new(ish) options
-
-   Revision 1.22  1999/11/01 21:55:27  sjboddie
-   changes to arguments of many functions
-
-   Revision 1.21  1999/10/19 03:23:46  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.20  1999/10/18 20:10:41  sjboddie
-   don't want to use authentication to reach status page (usersaction still
-   uses authentication)
-
-   Revision 1.19  1999/09/07 23:09:40  rjmcnab
-   removed some compiler warnings
-
-   Revision 1.18  1999/09/07 04:57:00  sjboddie
-   added GPL notice
-
-   Revision 1.17  1999/09/03 09:53:46  rjmcnab
-   Output more configuration options for the receptionist.
-
-   Revision 1.16  1999/09/02 00:28:42  rjmcnab
-   removed dependancy on GSDL_GSDLHOME
-
-   Revision 1.15  1999/07/30 02:24:42  sjboddie
-   added collectinfo argument to some functions
-
-   Revision 1.14  1999/07/13 23:26:07  rjmcnab
-   Added support for authenaction and usersaction
-
-   Revision 1.13  1999/06/08 04:29:39  sjboddie
-   added argsinfo to the call to check_cgiargs to make it easy to set
-   args to their default if they're found to be screwed up
-
-   Revision 1.12  1999/04/06 22:20:35  rjmcnab
-   Got browsefilter working.
-
-   Revision 1.11  1999/03/31 23:44:49  rjmcnab
-   Altered the protocol so that the metadata is part of the filter.
-
-   Revision 1.10  1999/03/16 04:47:03  rjmcnab
-   Changed the list of arguments on the argument page to be the info list
-   not the current args list (there are some arguments which don't have
-   a default so they never make it onto the args list).
-
-   Revision 1.9  1999/03/11 01:26:02  rjmcnab
-   Fixed a few small formatting things.
-
-   Revision 1.8  1999/03/11 00:12:30  rjmcnab
-   Started using status.dm to handle the bulky text. Made the status
-   action use frames and added some more information.
-
-   Revision 1.7  1999/03/09 21:00:47  rjmcnab
-   Reorganised the statusaction, added more functions to comtypes.
-
-   Revision 1.6  1999/02/25 21:59:02  rjmcnab
-
-   Merged sources.
-
-   Revision 1.5  1999/02/21 22:33:58  rjmcnab
-
-   Lots of stuff :-)
-
-   Revision 1.4  1999/02/12 02:40:18  sjboddie
-
-   Added page action
-
-   Revision 1.3  1999/02/11 23:07:00  sjboddie
-
-   extended the status action
-
-   Revision 1.2  1999/02/11 01:24:06  rjmcnab
-
-   Fixed a few compiler warnings.
-
-   Revision 1.1  1999/02/11 01:01:27  rjmcnab
-
-   Initial revision.
-
- */
 
 #include "statusaction.h"
@@ -1080,3 +966,2 @@
   }
 }
-
Index: /trunk/gsdl/src/recpt/statusaction.h
===================================================================
--- /trunk/gsdl/src/recpt/statusaction.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/statusaction.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/tipaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/tipaction.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/tipaction.cpp	(revision 1285)
@@ -22,31 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.6  1999/11/01 21:54:57  sjboddie
-   changes to arguments of many functions
-
-   Revision 1.5  1999/09/07 23:10:18  rjmcnab
-   removed some compiler warnings
-
-   Revision 1.4  1999/09/07 04:57:00  sjboddie
-   added GPL notice
-
-   Revision 1.3  1999/09/02 00:29:27  rjmcnab
-   added cgi argument "st" - show tips
-
-   Revision 1.2  1999/07/30 02:24:45  sjboddie
-   added collectinfo argument to some functions
-
-   Revision 1.1  1999/07/09 02:18:27  rjmcnab
-   Initial revision.
-
-
- */
-
 
 #include "tipaction.h"
@@ -91,3 +65,2 @@
   }
 }
-
Index: /trunk/gsdl/src/recpt/tipaction.h
===================================================================
--- /trunk/gsdl/src/recpt/tipaction.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/tipaction.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/userdb.cpp
===================================================================
--- /trunk/gsdl/src/recpt/userdb.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/userdb.cpp	(revision 1285)
@@ -22,35 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.7  2000/05/22 12:30:36  sjboddie
-   the initial admin user now belongs to the colbuilder group by default
-   (as well as the administrator group)
-
-   Revision 1.6  2000/03/01 22:23:09  sjboddie
-   tidied up windows installation
-
-   Revision 1.5  2000/02/29 21:53:09  sjboddie
-   tidied up crypt includes
-
-   Revision 1.4  1999/09/07 04:57:00  sjboddie
-   added GPL notice
-
-   Revision 1.3  1999/09/02 00:30:04  rjmcnab
-   added option for specifying whether the gdbm database should be locked
-
-   Revision 1.2  1999/07/14 08:30:01  rjmcnab
-   fixed an error to do with the way time is dealt with on different machines.
-   It seems that there is no direct corresponding function to mktime and
-   localtime or gmtime might not get you back to where you started.
-
-   Revision 1.1  1999/07/13 23:22:04  rjmcnab
-   Initial revision.
-
- */
 
 #include "gsdlconf.h"
Index: /trunk/gsdl/src/recpt/userdb.h
===================================================================
--- /trunk/gsdl/src/recpt/userdb.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/userdb.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/usersaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/usersaction.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/usersaction.cpp	(revision 1285)
@@ -22,35 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.7  1999/11/01 21:48:27  sjboddie
-   changes to arguments of many functions
-
-   Revision 1.6  1999/09/08 03:44:24  cs025
-   Added a cast to (char *) of (..:..?..) on output to avoid type
-   error at compile time.
-
-   Revision 1.5  1999/09/07 23:12:34  rjmcnab
-   removed some compiler warnings
-
-   Revision 1.4  1999/09/07 04:57:01  sjboddie
-   added GPL notice
-
-   Revision 1.3  1999/09/02 00:30:56  rjmcnab
-   added option for specifying whether the gdbm database should be locked
-
-   Revision 1.2  1999/07/30 02:24:44  sjboddie
-   added collectinfo argument to some functions
-
-   Revision 1.1  1999/07/13 23:22:05  rjmcnab
-   Initial revision.
-
-
- */
-
 
 #include "usersaction.h"
@@ -442,3 +412,2 @@
   return true;
 }
-
Index: /trunk/gsdl/src/recpt/usersaction.h
===================================================================
--- /trunk/gsdl/src/recpt/usersaction.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/usersaction.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/vlistbrowserclass.cpp
===================================================================
--- /trunk/gsdl/src/recpt/vlistbrowserclass.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/vlistbrowserclass.cpp	(revision 1285)
@@ -22,39 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.8  2000/03/31 03:04:32  nzdl
-   tidied up some of the browsing code - replaced DocumentImages,
-   DocumentTitles and DocumentHeading with DocumentIcon
-
-   Revision 1.7  2000/02/17 02:33:09  sjboddie
-   minor tidy up - made some function definitions virtual
-
-   Revision 1.6  1999/12/13 02:44:23  davidb
-   Better protection when accessing "haschildren"
-
-   Revision 1.5  1999/10/30 23:01:24  sjboddie
-   tidied things up slightly
-
-   Revision 1.4  1999/10/30 22:14:44  sjboddie
-   added a collection argument
-
-   Revision 1.3  1999/10/19 08:40:13  sjboddie
-   fixed some stupid compiler warnings on windows
-
-   Revision 1.2  1999/10/14 22:59:34  sjboddie
-   finished off browser classes
-
-   Revision 1.1  1999/10/10 08:14:11  sjboddie
-   - metadata now returns mp rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
- */
-
 
 #include "vlistbrowserclass.h"
Index: /trunk/gsdl/src/recpt/vlistbrowserclass.h
===================================================================
--- /trunk/gsdl/src/recpt/vlistbrowserclass.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/vlistbrowserclass.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/recpt/z3950proto.cpp
===================================================================
--- /trunk/gsdl/src/recpt/z3950proto.cpp	(revision 1284)
+++ /trunk/gsdl/src/recpt/z3950proto.cpp	(revision 1285)
@@ -1,5 +1,26 @@
-
-#ifndef Z3950PROTO_H
-#define Z3050PROTO_H
+/**********************************************************************
+ *
+ * z3950proto.cpp --
+ * Copyright (C) 2000  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 
 #include "z3950proto.h"
Index: /trunk/gsdl/src/recpt/z3950proto.h
===================================================================
--- /trunk/gsdl/src/recpt/z3950proto.h	(revision 1284)
+++ /trunk/gsdl/src/recpt/z3950proto.h	(revision 1285)
@@ -1,5 +1,29 @@
+/**********************************************************************
+ *
+ * z3950proto.h --
+ * Copyright (C) 2000  The New Zealand Digital Library Project
+ *
+ * A component of the Greenstone digital library software
+ * from the New Zealand Digital Library Project at the
+ * University of Waikato, New Zealand.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *********************************************************************/
 
 #ifndef Z3950PROTO_H
-#define Z3050PROTO_H
+#define Z3950PROTO_H
 
 #include "recptproto.h"
